<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::RotationMatrix Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_rotation_matrix.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classflair_1_1core_1_1_rotation_matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::RotationMatrix Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a rotation matrix.  
 <a href="classflair_1_1core_1_1_rotation_matrix.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_rotation_matrix_8h_source.html">RotationMatrix.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1654c70915d03eea7c712a04296b9583"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#a1654c70915d03eea7c712a04296b9583">RotationMatrix</a> ()</td></tr>
<tr class="memdesc:a1654c70915d03eea7c712a04296b9583"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a1654c70915d03eea7c712a04296b9583">More...</a><br /></td></tr>
<tr class="separator:a1654c70915d03eea7c712a04296b9583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c46e6c1cdd66818eaa131822e5bcbb3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#a4c46e6c1cdd66818eaa131822e5bcbb3">~RotationMatrix</a> ()</td></tr>
<tr class="memdesc:a4c46e6c1cdd66818eaa131822e5bcbb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a4c46e6c1cdd66818eaa131822e5bcbb3">More...</a><br /></td></tr>
<tr class="separator:a4c46e6c1cdd66818eaa131822e5bcbb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21f115fe207aa8c73515026fe921a5f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#a21f115fe207aa8c73515026fe921a5f3">ToEuler</a> (<a class="el" href="classflair_1_1core_1_1_euler.html">Euler</a> &amp;euler) const </td></tr>
<tr class="memdesc:a21f115fe207aa8c73515026fe921a5f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to euler angles.  <a href="#a21f115fe207aa8c73515026fe921a5f3">More...</a><br /></td></tr>
<tr class="separator:a21f115fe207aa8c73515026fe921a5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c2286d9604028ce59705d2514fc3caf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_euler.html">Euler</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#a2c2286d9604028ce59705d2514fc3caf">ToEuler</a> (void) const </td></tr>
<tr class="memdesc:a2c2286d9604028ce59705d2514fc3caf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to euler angles.  <a href="#a2c2286d9604028ce59705d2514fc3caf">More...</a><br /></td></tr>
<tr class="separator:a2c2286d9604028ce59705d2514fc3caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41877f4dbe6537791a9c0b282ae83c97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#a41877f4dbe6537791a9c0b282ae83c97">ToQuaternion</a> (<a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion) const </td></tr>
<tr class="memdesc:a41877f4dbe6537791a9c0b282ae83c97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to quaternion.  <a href="#a41877f4dbe6537791a9c0b282ae83c97">More...</a><br /></td></tr>
<tr class="separator:a41877f4dbe6537791a9c0b282ae83c97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaf6104cf10df2980dedcdffe30112ec"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#afaf6104cf10df2980dedcdffe30112ec">ToQuaternion</a> (void) const </td></tr>
<tr class="memdesc:afaf6104cf10df2980dedcdffe30112ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to quaternion.  <a href="#afaf6104cf10df2980dedcdffe30112ec">More...</a><br /></td></tr>
<tr class="separator:afaf6104cf10df2980dedcdffe30112ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98eec70a5fd93937779de9e065f54eeb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98eec70a5fd93937779de9e065f54eeb"></a>
float &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (size_t row, size_t col)</td></tr>
<tr class="separator:a98eec70a5fd93937779de9e065f54eeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b1063336d1c455c09c2951b728237c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b1063336d1c455c09c2951b728237c4"></a>
const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (size_t row, size_t col) const </td></tr>
<tr class="separator:a2b1063336d1c455c09c2951b728237c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2931667bed155085f243743811f60536"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#a2931667bed155085f243743811f60536">m</a> [3][3]</td></tr>
<tr class="memdesc:a2931667bed155085f243743811f60536"><td class="mdescLeft">&#160;</td><td class="mdescRight">matrix  <a href="#a2931667bed155085f243743811f60536">More...</a><br /></td></tr>
<tr class="separator:a2931667bed155085f243743811f60536"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a rotation matrix. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1654c70915d03eea7c712a04296b9583"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::RotationMatrix::RotationMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an identity rotation matrix </p>

</div>
</div>
<a class="anchor" id="a4c46e6c1cdd66818eaa131822e5bcbb3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::RotationMatrix::~RotationMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a21f115fe207aa8c73515026fe921a5f3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::RotationMatrix::ToEuler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_euler.html">Euler</a> &amp;&#160;</td>
          <td class="paramname"><em>euler</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to euler angles. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">euler</td><td>output euler angles </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2c2286d9604028ce59705d2514fc3caf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_euler.html">Euler</a> flair::core::RotationMatrix::ToEuler </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to euler angles. </p>
<dl class="section return"><dt>Returns</dt><dd>euler angles </dd></dl>

</div>
</div>
<a class="anchor" id="a41877f4dbe6537791a9c0b282ae83c97"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::RotationMatrix::ToQuaternion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quaternion</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to quaternion. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quaternion</td><td>output quaternion </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afaf6104cf10df2980dedcdffe30112ec"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> flair::core::RotationMatrix::ToQuaternion </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to quaternion. </p>
<dl class="section return"><dt>Returns</dt><dd>quaternion </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a2931667bed155085f243743811f60536"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::core::RotationMatrix::m[3][3]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>matrix </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html">RotationMatrix</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
